Entur Developer
Personnel tickets

Administration of family members. Each family member must be connected to an employee


Fetches the full list of family members

GET
https://api.entur.io
/personnelticket/v2/family-members

Get all family members

Fetches the full list of family members › query Parameters

companyId
​integer · int64 · style: form · explode: true
page
​integer · int32 · style: form · explode: true
perPage
​integer · int32 · style: form · explode: true

Fetches the full list of family members › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Fetches the full list of family members › Responses

OK

Paged content
​FamilyMemberResponse[] · required

All items for this page

totalItems
​integer · int64 · required

Total items which could be returned

Example: 1
totalPages
​integer · int64 · required

Total number of pages

Example: 1

Did you find what you were looking for?